Method: locations.workforcePools.providers.scimTenants.tokens.create

Gemini Enterprise and Looker only. Creates a new WorkforcePoolProviderScimToken in a WorkforcePoolProviderScimTenant. You cannot reuse the name of a deleted SCIM token until 30 days after deletion.

HTTP request

POST https://iam.googleapis.com/v1/{parent=locations/*/workforcePools/*/providers/*/scimTenants/*}/tokens

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Gemini Enterprise and Looker only. The parent tenant to create SCIM token. Format: 'locations/{location}/workforcePools/{workforcePool}/providers/{provider}/scimTenants/{scim_tenant}'

Query parameters

Parameters
workforcePoolProviderScimTokenId

string

Required. Gemini Enterprise and Looker only. The ID to use for the SCIM token, which becomes the final component of the resource name. This value should be 4-32 characters and follow the pattern: ([a-z]([a-z0-9\\-]{2,30}[a-z0-9]))

Request body

The request body contains an instance of WorkforcePoolProviderScimToken.

Response body

If successful, the response body contains a newly created instance of WorkforcePoolProviderScimToken.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/iam

For more information, see the Authentication Overview.